*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'poppins','sans-serif';

}
body{
    color: #ededed;
    background: #081b29;

}
.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 20px 10%;
    background:#081b29 ;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.logo{
    position: relative;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    font-weight: 600;
    cursor: default;
    opacity: 0;
    animation: slideRight 1s ease forwards;
}

.navbar a {
    display: inline-block;
    font-size: 25px;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 35px ;
    transition: .3s;
    opacity: 0;
    animation: slideTop .5s ease forwards;
    animation-delay:calc(.2s * var(--i)) ;

}
.navbar a:hover{
    color: #0ef;


}
.home {
    position: relative;
    width: 100%;
    justify-content: space-between;
    height: 100vh;
    background: url(background1.png) no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    padding: 70px 10% 0; 
}
body, html {
    height: 100%;
    margin: 0;
}

.background-container {
    /* Set the background image */

    
    /* Make the background cover the entire container */
    background-size: cover;
    
    /* Center the background image */
    background-position: right;
    
    /* Fix the background image so it doesn't scroll */
    background-attachment: fixed;
    
    /* Set the width and height of the container */
    width: 10%;
    height: 10vh;
    
    /* Positioning for the overlay image */
    position: relative;
}

.overlay-image {
    /* Position the overlay image */
    position: absolute;
    top: 40%; /* Adjust as needed */
    right: -900%; /* Adjust as needed */
    transform: translate(0, -50%); /* Center vertically */
    width: 400px; /* Adjust width as needed */
    height: 400px; /* Adjust height as needed */
    border-radius: 50%; /* Make it circular */
    object-fit: cover; /* Maintain aspect ratio */
    border: 2px solid rgb(251, 251, 251); /* Optional: Add a border */
}
.home-content{
    max-width: 2000px;
    font-weight: 500;
    font-size: 32px;
    font-style:inherit;
    position:absolute;
}
.home-content h1{
    font-size: 56px;
    font-weight: 700;
    margin: -3px 0;
    opacity: 0;
    animation: slideRight 1s ease forwards;
    animation-delay:1s ;
}
.home-content h3{
    font-size: 32px;
    font-weight: 700;
    opacity: 0;
    animation: slideBottom 1s ease forwards;
    animation-delay: .7s;
}
.home-content h3:nth-of-type(2){
    margin-bottom: 30px;
    animation: slideTop 1s ease forwards;
    animation-delay: .7s;
}
.home-content h3 span{
    color:cyan ;
}
.home-content p{
    font-size: 32px;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: 1s;
}
.home-sci a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #0ef;
    border-radius: 50%;
    font-size: 20px;
    color: aqua;
    text-decoration: none;
    margin: 30px 15px 30px 0;
    opacity: 0;
    animation: slideBottom 1s ease forwards;
    animation-delay: calc(.2s * var(--i));
    transition: .5s ease ;


}
.home-sci a:hover{
    background: cyan;
    color: black;
   
    box-shadow: 0 0 20px cyan;

}
.btn-box{
    display: inline-block;
    padding: 12px 28px;
    background: cyan;
    border-radius: 40px;
    font-size: 20px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 650;
    opacity: 0;
    animation: slideTop 1s ease forwards;
    animation-delay:2s;
    box-shadow: 0 0 5px #0ef;



}
.btn-box:hover{
    box-shadow: 0 0 20px cyan;

}
@keyframes slideRight{
    0%{
        transform: translateX(-100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}
@keyframes slideTop{
    0%{
        transform: translateY(100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}
@keyframes slideBottom{
    0%{
        transform: translateY(-100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}
@keyframes slideLeft{
    0%{
        transform: translateX(100px);
        opacity: 0;
    }
    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

/* .about{
    display: grid;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    padding-bottom: 6rem;

} */
 .about{
    display: grid;
    grid-template-columns:repeat(2, 1fr);
    align-items: center;
    gap: 1.5rem;
 }
 .about-img img{
    padding-bottom:40%;
    /* padding-left: 10%; */
    max-width: 650px;
    height: auto;
    width: 75%;
    border-radius: 9px;
    position: relative;
    padding-top: 20%;


    
    

 }

 .about-text h2{
    font-size: 60px;
 }
 .about-text h2 span{
    color: #0ef;
 }
 .about-text h4{
    font-size: 29px;
    font-weight: 600;
    color: #fff;
    line-height: 1.7;
    margin: 15px 0 30px;
 }
 .about-text p{
    color: aliceblue;
    font-size: 20px;
    line-height: 1.4;
    margin-bottom: 4rem;
 }
 .services{
    color: aliceblue;
    font-size: 20px;
    line-height:1.4 ;
    margin-bottom: 4rem;
 }
.sub-title{
    text-align: center;
    font-size:60px;
    padding-bottom: 70px;
}
.sub-title span{
    color: #0ef;
    
}
 .container{
    padding: 90px;

 }
 .services-list{
    display: flex;
    grid-template-columns: repeat(auto-fit,minmax(259px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
 }
 .services-list div{
    background-color: transparent;
    padding: 40px;
    font-size: 13px;
    font-weight: 13px;
    border-right: 10px;
    border-width: 25;
    border-radius: 20px;
    transition: background 0.5s,transform 0.5s;
    box-shadow: 1px 1px 20px #012290f7, 1px 1px 40px #0053b8f7;

 }
 .services-list div i{
    font-size: 50px;
    margin-bottom: 30px;

 }
 .services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
 }
 .services-list div a{
    text-decoration: none;
    color: #000000;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
 }
 .read{
    display: inline-block;
    padding: 12px 28px;
    background: #0ef;
    border-radius: 40px;
    font-size: 16px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    animation: slideTop 1s ease forwards;
    animation-delay: 2s;
    box-shadow: 0 0 5px #0ef, 0 0 25px #0ef;
    
 }
 .read:hover{
    box-shadow: 0 0 20px cyan;
 }
 .services-list div:hover{
    transform: translateY(-10px);
 }
 section{
    display: flex;
    flex-wrap: wrap;
 }
 /* .container1{
    width: 600px;
    height: 500px;
    padding: 75px 90px;
    margin-left: 120px;
 }
.heading1{
    text-align: center;
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness: 5px;
    margin-bottom: 50px;
}
.bar{
    font-size: 23px;

}
.Techincal-bars bar{
    margin-top: 40px 0;


}
.Techincal-bars .bar:first-child{
    margin-top: 0;

}
.Techincal-bars .bar:last-child{
    margin-bottom: 0;
}
.Techincal-bars .bar .info{
    margin-bottom: 5px;
}
.Techincal-bars .bar .info span{
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}
.Techincal-bars .bar .progress-line{
    position: relative;
    border-radius: 10px;
    width: 100%;
    height: 5px;
    background-color: #171515;
    animation: animate 1s cubic-bezier(1,0,0,5,1) forwards;
    transform: scaleX(0);
    transform-origin:left ;
}
@keyframes animate{
    100%{
        transform: scaleX(1);
    }
}
.Techincal-bars .bar .progress-line span{
    height: 100%;
    background-color: #0ef;
    position: absolute;
    border-radius: 10px;
    animation: animate 1s 1s cubic-bezier(1,0,0,5,1) forwards;
    transform: scaleX(0);
    transform-origin:left ;
} */
.section{
    display: flex;
    flex-wrap: wrap;
}
.container1{
    width: 600px;
    height: 500px;
    padding: 75px 90px;
    margin-left: 120px;

}
.heading1{
    text-align: center;
    text-decoration: underline;
    text-underline-offset: 10px;
    text-decoration-thickness:5px ;
    margin-bottom: 50px;
}
.bar{
    font-size: 23px;

}
.Techincal-bars .bar{
    margin-top: 40px 0;

}
.Techincal-bars .bar:first-child{
    margin-top: 0;
}
.Techincal-bars .bar:last-child{
    margin-bottom: 0;
}
.Techincal-bars .bar .info{
    margin-bottom: 5px;
}
.Techincal-bars .bar .info span{
    font-size:17px ;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}
.Techincal-bars .bar .progress-line{
    position: relative;
    border-radius: 10px;
    width: 100%;
    height: 5px;
    background-color: #000000;
    animation: animate 1s cubic-bezier(1,0,0.5,1) forwards; 
    transform: scaleX(0);
    transform-origin: left ; 
}
@keyframes animate{
    100%{
        transform: scaleX(1);
    }
}
.Techincal-bars .bar .progress-line span{
    height: 100%;
    background-color: #0ef;
    position: absolute;
    border-radius: 10px;
    animation: animate 1s 1s cubic-bezier(1,0,0.5,1) forwards;
    transform: scaleX(0);
    transform-origin: left;

}

.progress-line.html span{
    width: 80%;

}
.progress-line.java span{
    width: 60%;
}
.progress-line.python span{
    width: 75%;
}
.progress-line.C span{
    width: 65%;
}
.progress-line.JavaScript span{
    width: 60%;
}
.progress-line span::after{
    position: absolute;
    padding: 1px 8px;
    background-color: #000;
    color: #fff;
    font-size: 12px;
    border-radius: 3px;
    top: -28px;
    right: -20px;
    animation: showText 0.5s 1.5s linear forwards;
    opacity: 0;

}
.progress-line.html span::after{
    content: "80";

}
.progress-line.java span::after{
    content: "60";

}
.progress-line.python span::after{
    content: "75";

}
.progress-line.C span::after{
    content: "65";

}
.progress-line.JavaScript span::after{
    content: "60";

}
.progress-line span::before{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border: 7px solid transparent;
    border-bottom-width: 0px;
    border-right-width:0px ;
    border-top-color:#000 ;
    top:-10px;
    right: 0;
    animation: showText 0.5s 1.5s linear forwards;
    opacity: 0;
}
@keyframes showText{
    100%{
        opacity: 1;
    }
}
.radial-bars{
    width: 100%;
    display: flex;
    
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: flex-start;
   
}
.radial-bars .radial-bar{
    width: 50%;
    height: 170px;
    margin-bottom: 10px;
    position: relative;

}
.radial-bars .radial-bar svg{
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-90deg);
    width: 120px;
    height: 160px;

     
}
.radial-bars .radial-bar .progress-line{
    stroke-width: 10;
    stop-color: #000000;
    fill:transparent;
    stroke-dasharray: 502;
    stroke-dashoffset: 502;
    stroke-linecap:round ;
    animation: animate-bar 1s linear forwards;


}
@keyframes animatw-bar{
    100%{
        stroke-dashoffset: -1;
    }
}
.path{
    stroke-width: 10;
    stroke: #0ef;
    fill:transparent;
    stroke-dasharray: 502;
    stroke-dashoffset: 502;
    stroke-linecap: round;
}
.path-1{
    animation: animate-path1 1s 1s linear forwards;
}
.path-2{
    animation: animate-path2 1s 1s linear forwards;
}
.path-3{
    animation: animate-path3 1s 1s linear forwards;
}
.path-4{
    animation: animate-path4 1s 1s linear forwards;
}

@keyframes animate-path1{
    100%{
        stroke-dashoffset:50 ;
    }
}
@keyframes animate-path2{
    100%{
        stroke-dashoffset:175 ;
    }
}
@keyframes animate-path3{
    100%{
        stroke-dashoffset:125 ;
    }
}
@keyframes animate-path4{
    100%{
        stroke-dashoffset:75 ;
    }
}
.radial-bar .percentage{
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;

}
.radial-bar .text{
    width: 100%;
    position: absolute;
    text-align: center;
    left: 50%;
    bottom: -5px;
    transform: translateX(-50px);
    font-size: 17px;
    font-weight: 500;
    animation: showText 0.5s 1s linear forwards;
    opacity: 0;
}

.contact{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    gap: 3rem;
    padding-left: 30px;
    margin-top: 130px;

}
.contact-text h2{
    font-size: 90px;
    line-height: 2;
    text-align: center;
 }
.contact-text h2 span{
    color: #0ef;
}
.contact-text h4{
    margin: 15px 0;
    color: rgb(228,228,228);
    font-size: 20px;
    font-weight: 600;
}
.contact-text p {
    color:rgb(177,177,177);
    font-size: 20px;
    line-height: 30px;
    margin-bottom: 2rem;
}
.contact-list{
    margin-bottom: 3rem;
}
.contact-list li{
    margin-bottom: 10px;
    display: block;
}
.contact-list li{
    margin-bottom: 10px;
    display: block;
}
.contact-list i{
    display: inline-block;
    color: #0ef;
    font-size: 20px;
    font-weight: 600;
    transition: all .40s ease;

}
.contact-list li a:hover{
    transform: scale(1.01) translateY(-5px);
    color: #0ef;
}
.contact-icon i{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 2px solid #0ef;
    border-radius: 50%;
    font-size: 20px;
    color: #0ef;
    text-decoration: none;
    margin: 30px 15px 30px 0;
    transition: .5s ease;
    opacity: 0;
    animation: slideLeft 1s ease forwards;
    animation-delay: calc(.2s*vae(--i));

}
.contact-icon i:hover{
    background: #0ef;
    color: #000;
    box-shadow: 0 0 20px #0ef;
}
.contact-form form{
    position: relative;
}
.contact-form form input,form textarea{
    border: none;
    outline: none;
    width: 90%;
    padding: 18px;
    background: #b3b3b4;
    color: #000;
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
    border-radius: 0.5rem;

}
.contact-form textarea{
    resize: none;
    height: 220px;
}
.contact-form form .send{
    display: inline-block;
    padding: 12px 28px;
    background: #0ef;
    border-radius: 40px;
    font-size: 18px;
    color: #081b29;
    letter-spacing: 1px;
    text-decoration: none;
    font-weight: 600;
    animation: slideTop 1s ease forwards;
    animation-delay: 2s;
    /* box-shadow: 0 0 5px #0ef, 0 0 25px #0ef,0 0 25px #0ef; */
    box-shadow: 0 0 20px cyan;
}
.contact-form form .send:hover{
    box-shadow: 0 0 20px cyan,0 0 20px cyan;
}
/* for mobile */
@media (max-width: 600px) {
    .header {
        padding: 10px 5%;
        flex-direction: column;
    }
    
    .logo {
        font-size: 20px;
        text-align: center;
        margin-bottom: 10px;
    }
    
    .navbar a {
        font-size: 20px;
        margin-left: 0;
        margin-bottom: 10px;
    }
    
    .home-content h1 {
        font-size: 32px;
    }
    
    .home-content h3 {
        font-size: 24px;
    }
    .background-container {
        /* height: 150vh; */
        background-position: center top;
        top: -15vh;
        
        
    }
    .overlay-image {
        width: 100px; /* Adjust width for smaller devices */
        height: 100px;
   
        
        
    }
    
    .home-content p {
        font-size: 18px;
    }
    
    .about {
        grid-template-columns: 1fr;
        padding: 20px;
    }
    
    .about-img img {
        width: 100%;
        max-width: none;
        padding-bottom: 0;
    }
    
    .about-text h2 {
        font-size: 36px;
    }
    
    .about-text h4 {
        font-size: 20px;
    }
    
    .about-text p {
        font-size: 16px;
        margin-bottom: 2rem;
    }
    
    .services-list {
        flex-direction: column;
        align-items: center;
    }
    
    .services-list div {
        width: 100%;
        margin-bottom: 20px;
    }
    
    .container1 {
        width: 100%;
        margin-left: 0;
        padding: 30px;
    }
    
    .contact {
        grid-template-columns: 1fr;
        padding: 20px;
    }
    
    .contact-text h2 {
        font-size: 36px;
        line-height: 1.2;
    }
    
    .contact-text h4, .contact-text p {
        font-size: 16px;
    }
    
    .contact-form form input, form textarea {
        width: 100%;
    }
    
    .contact-form form .send {
        width: 100%;
        padding: 15px 0;
    }
}
